%define name gai-album
%define version 0.1
%define release 2mdk

Name: %name
Summary: Displays the front CD cover of the album played by XMMS
Version: %{version}
Release: %{release}
License: GPL
Url: http://gai.sf.net
Group: Sound
Source: %{name}-%{version}.tar.bz2
Source10:   %{name}-16.png
Source11:   %{name}-32.png
Source12:   %{name}-48.png
BuildRoot: %{_tmppath}/build-root-%{name}
BuildRequires: xmms-devel
BuildRequires: libgai-devel >= 0.5

%description
A Gnome applet displaying the front CD cover of the album played by XMMS

%prep
%setup -q 

%build
%configure2_5x
%make 

%install
rm -rf ${RPM_BUILD_ROOT}
install -m755 %name -D $RPM_BUILD_ROOT%{_bindir}/%name
install -m644 GNOME_DefaultApplet.server -D $RPM_BUILD_ROOT%{_libdir}/bonobo/servers/GNOME_%{name}Applet.server
install -m644 %name-icon.png -D $RPM_BUILD_ROOT%{_datadir}/pixmaps/%name-icon.png
mkdir $RPM_BUILD_ROOT%{_datadir}/pixmaps/%name
cp images/* $RPM_BUILD_ROOT%{_datadir}/pixmaps/%name
install -m644 %SOURCE10 -D %{buildroot}/%_miconsdir/%name.png
install -m644 %SOURCE11 -D %{buildroot}/%_iconsdir/%name.png
install -m644 %SOURCE12 -D %{buildroot}/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > %{buildroot}/%{_menudir}/%{name} 
?package(%name): command="%{_bindir}/%name" icon="%name.png" \
                needs="X11" section="Multimedia/Sound" \
 title="Gai-album" longtitle="Xmms cover viewer"
EOF


%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%files
%defattr(-,root,root,0755)
%doc README README.gai
%{_bindir}/*
%{_libdir}/bonobo/servers/GNOME_%{name}Applet.server
%{_menudir}/%name
%{_datadir}/pixmaps/*
%{_iconsdir}/%name.png
%{_liconsdir}/%name.png
%{_miconsdir}/%name.png

%changelog
* Wed Oct  1 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.1-2mdk
- use the right configure macro
- small spec fix
- fix buildrequires

* Mon Sep 15 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.1-1mdk 
- From Bellegarde Cedric <gnumdk@wanadoo.fr>
   - Make a spec file
